// app.js
App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)

    // 登录
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      }
    })
  },
  onShow(opts) {
    this.globalData.sceneData = {
      path: opts.path,
      query: opts.query
    }
    if (!wx.getStorageSync('token') || !wx.getStorageSync('userInfo')) {
      wx.reLaunch({
        url: '/pages/login/login',
      })
      // login(opts)
    }
  }, 
  globalData: {
    userInfo: null
  }
})
